import React, { ReactElement } from "react"
import { Content, CardList, Link } from "@onegeo/gatsby-theme-onegeo"

function card(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc/core">Retour</Link>

                <h1>CardList</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
interface CardProps {
    name?: string
    description?: string
    image?: string
    url?: string
    anime?: boolean
    layout?: "top" | "left"
    className?: string
}
interface CardListProps {
    cards?: CardProps[];
    layout?: 'row' | 'col' | 'grid';
    className?: string;
}`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="space-y-20">
                <CardList
                    cards={[
                        {
                            name: "Action",
                            description: "Action description for the Button",
                        },
                        {
                            name: "Action",
                            description: "Action description for the Button",
                        },
                        {
                            name: "Action",
                            description: "Action description for the Button",
                        },
                    ]}
                    layout="row"
                    anime={false}
                />
                <CardList
                    cards={[
                        {
                            name: "Action",
                            description: "Action description for the Button",
                        },
                        {
                            name: "Action",
                            description: "Action description for the Button",
                        },
                        {
                            name: "Action",
                            description: "Action description for the Button",
                        },
                    ]}
                    layout="col"
                />
            </div>
            <div className="mt-20">
                <CardList
                    cards={[
                        {
                            name: "Action",
                            description: "Action description for the Button",
                        },
                        {
                            name: "Action",
                            description: "Action description for the Button",
                        },
                        {
                            name: "Action",
                            description: "Action description for the Button",
                        },
                    ]}
                    layout="grid"
                />
            </div>
        </Content>
    )
}

export default card
